from PSF_Lib  import PSF_Lib as PSF_Lib

def Tracking_profile(filepath,file,configFile):
    """
       Used for the standard profile with a stair case 
       This will find each max value and interpolate the PSF
    """
    #Get image stack 
    time_points=15
    crop_margin=3 
    spot_num = 3
    im_yxz, Spot_coordinates_xyz=PSF_Lib.get_zProfiles(filepath, file,configFile, time_points=time_points, crop_margin=crop_margin,spot_num=spot_num,do_show=0)
    #Do phase retrival
    PSF_Lib.get_PHretrival(filepath,configFile,im_yxz,Spot_coordinates_xyz,iter=5000)
    print('All done!')

def SIT_profile(filepath,file,configFile):
    spot_num=4
    #Get image stack 
    im_yxz, Spot_coordinates_xyz=PSF_Lib.get_zProfiles2(filepath, file,configFile, time_points=15, crop_margin=3,spot_num = spot_num,do_show=0)
    #Do phase retrival
    PSF_Lib.get_PHretrival(filepath,configFile,im_yxz,Spot_coordinates_xyz,iter=5000)
    print('All done!')

if __name__ == '__main__':
    
    filepath = 'C:\\Users\\elias\\Desktop\\Shadowfax\\Data\\20220412_BeadTracking_After_vibration_isolation\\alignment\\staircase_7_Short\\Full resolution\\'
    file = 'staircase' + '_MagellanStack' 
    configFile='PhaseRetrival_AnalysisConfig.ini'

    Tracking_profile(filepath,file,configFile)
    #SIT_profile(filepath,file,configFile)
